Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPaintEngine.DirtyFlag

    java.lang.Object
      java.lang.Enum<QPaintEngine.DirtyFlag>
          com.trolltech.qt.gui.QPaintEngine.DirtyFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPaintEngine.DirtyFlag>

Enclosing class:
  QPaintEngine

    public static enum QPaintEngine.DirtyFlag

extends java.lang.Enum<QPaintEngine.DirtyFlag>
implements QtEnumerator

These types are used by `QPainter` to trigger lazy updates of the various states in the `QPaintEngine` using QPaintEngine::updateState().

A paint engine must update every dirty state.

Enum Constant Summary
`AllDirty` Convenience enum used internally.
`DirtyBackground` The background is dirty and needs to be updated.
`DirtyBackgroundMode` The background mode is dirty and needs to be updated.
`DirtyBrush` The brush is dirty and needs to be updated.
`DirtyBrushOrigin` The brush origin is dirty and needs to updated.
`DirtyClipEnabled` Whether clipping is enabled or not is dirty and needs to be updated.
`DirtyClipPath` The clip path is dirty and needs to be updated.
`DirtyClipRegion` The clip region is dirty and needs to be updated.
`DirtyCompositionMode` The composition mode is dirty and needs to be updated.
`DirtyFont` The font is dirty and needs to be updated.
`DirtyHints` The render hints is dirty and needs to be updated.
`DirtyOpacity` The constant opacity has changed and needs to be updated as part of the state change in QPaintEngine::updateState().
`DirtyPen` The pen is dirty and needs to be updated.
`DirtyTransform` The transform is dirty and needs to be updated.

Method Summary
`static QPaintEngine.DirtyFlags` | `createQFlags(QPaintEngine.DirtyFlag... values)`
`static QPaintEngine.DirtyFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.DirtyFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPaintEngine.DirtyFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DirtyPen

    public static final QPaintEngine.DirtyFlag DirtyPen

  The pen is dirty and needs to be updated.

### DirtyBrush

    public static final QPaintEngine.DirtyFlag DirtyBrush

  The brush is dirty and needs to be updated.

### DirtyBrushOrigin

    public static final QPaintEngine.DirtyFlag DirtyBrushOrigin

  The brush origin is dirty and needs to updated.

### DirtyFont

    public static final QPaintEngine.DirtyFlag DirtyFont

  The font is dirty and needs to be updated.

### DirtyBackground

    public static final QPaintEngine.DirtyFlag DirtyBackground

  The background is dirty and needs to be updated.

### DirtyBackgroundMode

    public static final QPaintEngine.DirtyFlag DirtyBackgroundMode

  The background mode is dirty and needs to be updated.

### DirtyTransform

    public static final QPaintEngine.DirtyFlag DirtyTransform

  The transform is dirty and needs to be updated.

### DirtyClipRegion

    public static final QPaintEngine.DirtyFlag DirtyClipRegion

  The clip region is dirty and needs to be updated.

### DirtyClipPath

    public static final QPaintEngine.DirtyFlag DirtyClipPath

  The clip path is dirty and needs to be updated.

### DirtyHints

    public static final QPaintEngine.DirtyFlag DirtyHints

  The render hints is dirty and needs to be updated.

### DirtyCompositionMode

    public static final QPaintEngine.DirtyFlag DirtyCompositionMode

  The composition mode is dirty and needs to be updated.

### DirtyClipEnabled

    public static final QPaintEngine.DirtyFlag DirtyClipEnabled

  Whether clipping is enabled or not is dirty and needs to be updated.

### DirtyOpacity

    public static final QPaintEngine.DirtyFlag DirtyOpacity

  The constant opacity has changed and needs to be updated as part of the state change in QPaintEngine::updateState().

### AllDirty

    public static final QPaintEngine.DirtyFlag AllDirty

  Convenience enum used internally.

Method Detail

### values

    public static final QPaintEngine.DirtyFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPaintEngine.DirtyFlag c : QPaintEngine.DirtyFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPaintEngine.DirtyFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPaintEngine.DirtyFlags createQFlags(QPaintEngine.DirtyFlag... values)

### resolve

    public static QPaintEngine.DirtyFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD